> ## Documentation Index
> Fetch the complete documentation index at: https://reviewport.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List trend reports

> Retrieve a paginated list of published trend reports.



## OpenAPI

````yaml https://www.thereviewport.com/api/swagger.json get /trend-reports
openapi: 3.0.3
info:
  title: The Review Port API
  description: >-
    Public API for accessing CLO reports, trend reports, managers, issuers,
    retention holders, and entities.
  version: 1.0.0
  contact:
    email: support@thereviewport.com
servers:
  - url: https://www.thereviewport.com/api
    description: Production server
security:
  - ApiKeyQuery: []
  - ApiKeyHeader: []
tags:
  - name: Reports
    description: CLO report operations
  - name: Trend Reports
    description: Trend report operations
  - name: Managers
    description: Manager operations
  - name: Issuers
    description: Issuer operations
  - name: Holders
    description: Retention holder operations
  - name: Entities
    description: Entity operations (administrators, arrangers, trustees, etc.)
paths:
  /trend-reports:
    get:
      tags:
        - Trend Reports
      summary: List trend reports
      description: Retrieve a paginated list of published trend reports.
      operationId: listTrendReports
      parameters:
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/PageSizeParam'
        - name: q
          in: query
          description: Text search query
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/TrendReportSummary'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    PageParam:
      name: page
      in: query
      description: Page number (1-indexed)
      schema:
        type: integer
        minimum: 1
        default: 1
    PageSizeParam:
      name: pageSize
      in: query
      description: Number of items per page
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
  schemas:
    PaginationMeta:
      type: object
      properties:
        page:
          type: integer
        pageSize:
          type: integer
        total:
          type: integer
        totalPages:
          type: integer
        hasNextPage:
          type: boolean
    TrendReportSummary:
      type: object
      properties:
        guid:
          type: string
        title:
          type: string
        summary:
          type: string
          nullable: true
        publishedDate:
          type: string
          format: date-time
        isFeatured:
          type: boolean
        images:
          $ref: '#/components/schemas/Images'
        links:
          type: object
          properties:
            self:
              type: string
            web:
              type: string
    Images:
      type: object
      properties:
        header:
          type: string
          nullable: true
        thumbnail:
          type: string
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: API key missing or invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: >-
              API key required. Provide via query ?apiKey=... or header
              x-api-key.
    Forbidden:
      description: Access to resource not permitted
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Access to reports is not permitted for this API key.
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Rate limit exceeded. Try again later.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: apiKey
      description: API key passed as query parameter
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key passed as header

````